package cn.rankin.cmsweb.controller.stmt;

import cn.rankin.cmsweb.assist.resolver.NeedUser;
import cn.rankin.cmsweb.entity.UserDetails;
import cn.rankin.cmsweb.service.stmt.StmtService;
import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.page.Page;
import cn.rankin.common.utils.util.BeanUtil;
import cn.rankin.data.api.user.dto.CampusDTO;
import cn.rankin.data.api.user.dto.CampusSearchDTO;
import cn.rankin.data.api.user.vo.CampusVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping(value = "/stmt")
public class StmtController
{
    @Autowired
    private StmtService StmtService;

    @RequestMapping(value = {"/campus/list", "/"}, method = RequestMethod.GET)
    public APIResult<Page<CampusVo>> search(@NeedUser UserDetails user, CampusSearchDTO campusSearchDTO) {
        if (!user.isPlatForm()) {
            String merchantId = user.getMerchantId();
            campusSearchDTO.setMerchantId(merchantId);
        }
        return StmtService.search(BeanUtil.convertToMap(campusSearchDTO));
    }

}
